Page MenuHomePhabricator

Stat type registrations is too slow for Wikimedia production
Closed, ResolvedPublic

Description

It times out for any period longer than a few days. Easiest option seems to be to not make it available there, since this metric does not make sense there in the same way as it makes sense in translatewiki.net.

QA plan

When deploying configuration change, check on Special:TranslationStats and on Special:ApiSandbox#action=translationstats that registrations is not available.

Outcome

It is not possible to produce statistics about registrations using Special:TranslationStats or translationstats Action Api.

Event Timeline

Nikerabbit moved this task from Backlog to Statistics on the MediaWiki-extensions-Translate board.

Change 631143 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Make translation stats graph types configurable

https://gerrit.wikimedia.org/r/631143

Needs a config change on production to disable registrations.

Change 631143 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Make translation stats graph types configurable

https://gerrit.wikimedia.org/r/631143

Nikerabbit added a subscriber: abi_.

Blocked on deployment 1.36.0-wmf.12 and looks like that is going to take a while.

Change 634224 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[operations/mediawiki-config@master] Stop defining wmgULSCompactLinksForNewAccounts and wmgULSCompactLinksEnableAnon

https://gerrit.wikimedia.org/r/634224

Change 635237 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[operations/mediawiki-config@master] Disable registrations stat on Special:TranslationStats

https://gerrit.wikimedia.org/r/635237

Nikerabbit updated the task description. (Show Details)Oct 20 2020, 7:04 AM

Change 635237 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable registrations stat on Special:TranslationStats

https://gerrit.wikimedia.org/r/635237

Mentioned in SAL (#wikimedia-operations) [2020-10-21T11:17:39Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: 785404fa2b998947d236aebe481ee1abcbd14220: Disable registrations stat on Special:TranslationStats (T264158) (duration: 01m 05s)

QA done as part of deployment.

Nikerabbit closed this task as Resolved.Oct 21 2020, 11:39 AM
Nikerabbit updated the task description. (Show Details)